#ifndef _NETWORK_H_
#define _NETWORK_H_
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>

struct dns_msg{              	/* Stucture to communicate with the DNS child */
  int ud;                   	/* Index of iud structure doing this request */
  char port[6];              	/* Just convenient */
  char hostname[NI_MAXHOST]; 	/* Use for both request and reply */
};

void setup_connect_1(struct user_data *, int, char *, char *, int);
void setup_connect_2(struct user_data *, struct dns_msg *, int);
int setup_connect(const char *, const char *, unsigned int *, int *);
 void dns_helper(int, int);
int setup_listen(int, const char *, char *, int);
int get_local_ip(int, char *, int);
#endif
